Doomsday Engine - Bug #2031

[Hexen] First hub exit leads to incorrect map
2015-05-03 20:59 - vermil

Status: Closed Start date: 2015-05-03
Priority: Normal % Done: 100%
Assignee: danij

Category: Regression

Target version:

Description
In the latest unstable build, completing the first hub of HeXen takes the player to the third hub instead of the second.

Associated revisions

Revision 999218e8 - 2015-05-04 02:03 - danij

Fixed|Hexen First hub exit leads to incorrect map

The map reference used as a line special argument was interpreted
as a warp number rather than a logical map index number. Seemingly
the result of a refactoring oversight.
Revision 18769af8 - 2015-05-04 03:34 - danij

Fixed|Hexen First hub exit leads to incorrect map

It seems vanilla Hexen uses another slightly different logic with line
special 80 - logical map index #0 is interpreted as the "current" map.

(Now | know where the original oversight came from.)
History

#1 - 2015-05-03 21:59 - vermil

Further experimenting suggests all hub exits may be taking the player to the wrong map; the second hub exit takes the player to Zedek's Tomb, a
map in the middle of the fifth hub.

#2 - 2015-05-04 01:57 - danij

- Category set to Regression

- Status changed from New to In Progress
- Assignee set to danij

- Target version set to 49

#3 - 2015-05-04 02:04 - danij
- Subject changed from [HeXen] First hub exit leads to incorrect map to [Hexen] First hub exit leads to incorrect map
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#4 - 2015-06-08 10:48 - skyjake
- Target version deleted (49)

2025-04-14 1/1



http://www.tcpdf.org

